#
# spec file for package blueprint-cursor-theme
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           blueprint-cursor-theme
Summary:        X Window System Cursors for the Blue Print Theme
Version:        0.0.2
Release:        273.1
License:        GPL-2.0-or-later
Group:          System/X11/Icons
Source:         %{name}-%{version}.tar.bz2
Patch0:         links.diff
Patch1:         install-path.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  automake
BuildArch:      noarch

%description
A nice mouse cursor theme for the X Window System.

%prep
%autosetup -p0

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm    $RPM_BUILD_ROOT/usr/share/icons/default/index.theme.blueprint
rmdir $RPM_BUILD_ROOT/usr/share/icons/default

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/share/icons/*

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue Aug  8 2006 schwab@suse.de
- Move to /usr/share/icons.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 10 2005 schwab@suse.de
- Fix links.
* Tue Mar  9 2004 adrian@suse.de
- add symlinks (prepared by Lubos)
* Mon Mar  8 2004 adrian@suse.de
- this is no longer our default cursor
* Tue Feb 24 2004 hmacht@suse.de
- building as non-root
* Fri Sep 12 2003 adrian@suse.de
- fix sysconfig comment
* Tue Sep  9 2003 adrian@suse.de
- initial package of version 0.0.2
